/*
 * JavaPT09 - Stripes
 * Copyright (c) 2009 Present Technologies
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.example.javapt09.stripes.action;

import java.util.ArrayList;
import java.util.List;

import net.sourceforge.stripes.action.Before;
import net.sourceforge.stripes.action.DefaultHandler;
import net.sourceforge.stripes.action.ForwardResolution;
import net.sourceforge.stripes.action.Resolution;
import net.sourceforge.stripes.action.UrlBinding;
import net.sourceforge.stripes.controller.LifecycleStage;

/**
 * Customizable URL action bean.
 */
@UrlBinding("/action/cleanURL/{$event}/{city}")
public class CustomizableURLActionBean extends BaseActionBean {

    private List<String> cities = new ArrayList<String>();

    private String city;

    public List<String> getCities() {
        return cities;
    }

    public void setCities(List<String> cities) {
        this.cities = cities;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    @DefaultHandler
    public Resolution main() {
        return new ForwardResolution("/WEB-INF/jsp/customizable-urls.jsp");
    }

    @SuppressWarnings("unchecked")
    public Resolution delete() {
        ((List<String>) getContext().getRequest().getSession().getAttribute("cities")).remove(city);
        return new ForwardResolution("/WEB-INF/jsp/customizable-urls.jsp");
    }

    @SuppressWarnings("unchecked")
    @Before(stages = LifecycleStage.BindingAndValidation)
    public void prepareSomeStuff() {
        if (getContext().getRequest().getSession().getAttribute("cities") == null
                || ((List<String>) getContext().getRequest().getSession().getAttribute("cities")).isEmpty()) {
            cities.add("Coimbra");
            cities.add("Braga");
            cities.add("Lisboa");
            cities.add("Porto");
            getContext().getRequest().getSession().setAttribute("cities", cities);
        } else {
            cities = (List<String>) getContext().getRequest().getSession().getAttribute("cities");
        }
    }
}
