/*
 * JavaPT09 - Stripes
 * Copyright (c) 2009 Present Technologies
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.example.javapt09.stripes.action;

import java.io.FileInputStream;
import java.io.FileNotFoundException;

import net.sourceforge.stripes.action.DefaultHandler;
import net.sourceforge.stripes.action.Resolution;
import net.sourceforge.stripes.action.StreamingResolution;

/**
 * File download action bean.
 */
public class DownloadActionBean extends BaseActionBean {

    @DefaultHandler
    public Resolution main() throws FileNotFoundException {
        String fileName = "stripes.png";
        String filePath = getContext().getServletContext().getRealPath("/img/" + fileName);
        return new StreamingResolution("image/png", new FileInputStream(filePath)).setFilename(fileName);
    }

}
