/*
 * JavaPT09 - Stripes
 * Copyright (c) 2009 Present Technologies
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.example.javapt09.stripes.action;

import java.io.IOException;

import net.sourceforge.stripes.action.DefaultHandler;
import net.sourceforge.stripes.action.FileBean;
import net.sourceforge.stripes.action.ForwardResolution;
import net.sourceforge.stripes.action.Resolution;
import net.sourceforge.stripes.action.SimpleMessage;

/**
 * File upload action bean.
 */
public class UploadActionBean extends BaseActionBean {

    private FileBean fileBean;

    public FileBean getFileBean() {
        return fileBean;
    }

    public void setFileBean(FileBean fileBean) {
        this.fileBean = fileBean;
    }

    @DefaultHandler
    public Resolution main() {
        return new ForwardResolution("/WEB-INF/jsp/file-upload.jsp");
    }

    public Resolution upload() throws IOException {
        getContext().getMessages().add(new SimpleMessage("File name: {0}.", fileBean.getFileName()));
        getContext().getMessages().add(new SimpleMessage("File size: {0} bytes.", fileBean.getSize()));
        getContext().getMessages().add(new SimpleMessage("Content type: {0}.", fileBean.getContentType()));
        // fileBean.save(new File());

        return new ForwardResolution("/WEB-INF/jsp/file-upload.jsp");
    }
}
