/*
 * JavaPT09 - Stripes
 * Copyright (c) 2009 Present Technologies
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.example.javapt09.stripes.exception;

import java.io.IOException;
import java.util.ResourceBundle;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.sourceforge.stripes.action.ForwardResolution;
import net.sourceforge.stripes.action.Resolution;
import net.sourceforge.stripes.exception.AutoExceptionHandler;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.example.javapt09.stripes.action.ErrorActionBean;

/**
 * Handles exceptions thrown by the application.
 */
public class DefaultExceptionHandler implements AutoExceptionHandler {

    private static final Logger LOGGER = LoggerFactory.getLogger(DefaultExceptionHandler.class);

    private static ResourceBundle resources;

    public Resolution handle(Exception exception, HttpServletRequest request, HttpServletResponse response) {
        LOGGER.error(exception.getMessage(), exception);

        return new ForwardResolution(ErrorActionBean.class);
    }

    public Resolution handle(IOException exception, HttpServletRequest request, HttpServletResponse response) {
        LOGGER.debug(exception.getMessage());
        resources = ResourceBundle.getBundle("StripesResources", request.getLocale());
        request.setAttribute("error", resources.getString("error.IOException"));

        return new ForwardResolution(ErrorActionBean.class);
    }
}
